package es.ucm.fdi.grasia.faerie.core;

/**
 * Represents an object that receives notifications on changes of a {@code ContextElement}. It provides callback methods
 * for the elements to provide the relevant information of the changes.
 * 
 * @author Chema
 * @see ContextElement
 * @see ContextEvent
 * @see Context
 */
public interface ContextObserver extends ContextObserverDefinition, ContextObserverCallback {

}
