package es.ucm.fdi.grasia.faerie.core.model;

import java.net.URI;

import es.ucm.fdi.grasia.faerie.core.AbstractEntity;
import es.ucm.fdi.grasia.faerie.core.Entity;
import es.ucm.fdi.grasia.faerie.core.EntitySet;

public class EnvironmentReferencedEntitiesSet extends AbstractEntity implements EntitySet<Entity> {

	private static final long serialVersionUID = -3725599936501356081L;

	private static EnvironmentReferencedEntitiesSet instance = null;

	private EnvironmentReferencedEntitiesSet() {
		super(URI.create("/"), URI.create("ENV_REF_ENTITIES_SET"));
	}

	public static EnvironmentReferencedEntitiesSet getInstance() {
		if (instance == null)
			instance = new EnvironmentReferencedEntitiesSet();
		return instance;
	}

}
