package es.ucm.fdi.grasia.faerie.core;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;

/**
 *
 * @author Chema
 */
public class FaerieExecutorService {

	private static ScheduledExecutorService executorService = null;

	private FaerieExecutorService() {
	}

	public static ScheduledExecutorService getExecutorService() {
		if (executorService == null)
			executorService = Executors.newScheduledThreadPool(Runtime.getRuntime().availableProcessors());
		return executorService;
	}
}
